# $Revision: 1.31.2.27 $, $Date: 2012/05/23 14:34:40 $
Summary:	Skeleton package which defines a base of PLD system
Summary(pl.UTF-8):	Pakiet szkieletowy który określa podstawę systemu PLD
Summary(ru.UTF-8):	Базовый пакет, определяющий систему PLD Linux Distribution
Summary(uk.UTF-8):	Базовий пакет, який визначає систему PLD Linux Distribution
Name:		basesystem
Version:	2.0
Release:	5
Epoch:		2
License:	GPL
Group:		Base
Requires:	FHS
Requires:	dev
Requires:	setup
Provides:	systemd-units = 38
Obsoletes:	vserver-basesystem
# obsoletes for removed packages
Obsoletes:	bdflush
Obsoletes:	gmc
Obsoletes:	goobox
Obsoletes:	gst-editor
Obsoletes:	gstreamer-libdvdread
Obsoletes:	gstreamer-player
Obsoletes:	gstreamer-player-devel
Obsoletes:	gstreamer-player-nautilus
Obsoletes:	gstreamer-plugins
Obsoletes:	gstreamer08x
Obsoletes:	gstreamer08x-GConf
Obsoletes:	gstreamer08x-GConf-devel
Obsoletes:	gstreamer08x-a52dec
Obsoletes:	gstreamer08x-aac
Obsoletes:	gstreamer08x-artsd
Obsoletes:	gstreamer08x-audio-effects
Obsoletes:	gstreamer08x-audio-formats
Obsoletes:	gstreamer08x-audiofile
Obsoletes:	gstreamer08x-audiosink-alsa
Obsoletes:	gstreamer08x-audiosink-esd
Obsoletes:	gstreamer08x-audiosink-oss
Obsoletes:	gstreamer08x-cairo
Obsoletes:	gstreamer08x-cdaudio
Obsoletes:	gstreamer08x-cdio
Obsoletes:	gstreamer08x-cdparanoia
Obsoletes:	gstreamer08x-colorspace
Obsoletes:	gstreamer08x-devel
Obsoletes:	gstreamer08x-dirac
Obsoletes:	gstreamer08x-dts
Obsoletes:	gstreamer08x-dv
Obsoletes:	gstreamer08x-festival
Obsoletes:	gstreamer08x-flac
Obsoletes:	gstreamer08x-gdkpixbuf
Obsoletes:	gstreamer08x-gnomevfs
Obsoletes:	gstreamer08x-gsm
Obsoletes:	gstreamer08x-imagesink-gl
Obsoletes:	gstreamer08x-imagesink-x
Obsoletes:	gstreamer08x-imagesink-xv
Obsoletes:	gstreamer08x-interleave
Obsoletes:	gstreamer08x-jack
Obsoletes:	gstreamer08x-ladspa
Obsoletes:	gstreamer08x-lame
Obsoletes:	gstreamer08x-libdvdnav
Obsoletes:	gstreamer08x-libdvdread
Obsoletes:	gstreamer08x-libfame
Obsoletes:	gstreamer08x-libpng
Obsoletes:	gstreamer08x-libvisual
Obsoletes:	gstreamer08x-mad
Obsoletes:	gstreamer08x-mikmod
Obsoletes:	gstreamer08x-mjpegtools
Obsoletes:	gstreamer08x-mms
Obsoletes:	gstreamer08x-mpeg
Obsoletes:	gstreamer08x-musepack
Obsoletes:	gstreamer08x-musicbrainz
Obsoletes:	gstreamer08x-nas
Obsoletes:	gstreamer08x-pango
Obsoletes:	gstreamer08x-raw1394
Obsoletes:	gstreamer08x-shout2
Obsoletes:	gstreamer08x-sid
Obsoletes:	gstreamer08x-snapshot
Obsoletes:	gstreamer08x-sndfile
Obsoletes:	gstreamer08x-speex
Obsoletes:	gstreamer08x-static
Obsoletes:	gstreamer08x-swfdec
Obsoletes:	gstreamer08x-theora
Obsoletes:	gstreamer08x-vcd
Obsoletes:	gstreamer08x-video-effects
Obsoletes:	gstreamer08x-videosink-aa
Obsoletes:	gstreamer08x-videosink-directfb
Obsoletes:	gstreamer08x-videosink-libcaca
Obsoletes:	gstreamer08x-videosink-sdl
Obsoletes:	gstreamer08x-visualisation
Obsoletes:	gstreamer08x-vorbis
Obsoletes:	gstreamer08x-wavpack
Obsoletes:	gstreamer08x-xvid
Obsoletes:	gwp
Obsoletes:	jamboree
Obsoletes:	lindele
Obsoletes:	monkey-bubble
Obsoletes:	perl-SWF-Builder
Obsoletes:	python-gstreamer08x
Obsoletes:	python-pyflac
Obsoletes:	sonic-rainbow
Obsoletes:	xwpick
# wine was dropped on i386 due to lack of tls/nptl in glibc
# which makes it completly unusable (99% of programs are crashing)
%ifarch i386
Obsoletes:	wine
Obsoletes:	wine-devel
Obsoletes:	wine-dll-d3d
Obsoletes:	wine-dll-gl
Obsoletes:	wine-dll-twain
Obsoletes:	wine-drv-alsa
Obsoletes:	wine-drv-arts
Obsoletes:	wine-drv-jack
Obsoletes:	wine-drv-nas
Obsoletes:	wine-programs
Obsoletes:	winetools
Obsoletes:	xwine
%endif
# tyrex was dropped on architectures without java/jre
%ifarch alpha i386 sparc ppc
Obsoletes:	tyrex
%endif
# opera-i18n dropped on architectures without opera
%ifarch alpha %{x8664}
Obsoletes:	opera-i18n
%endif
# autopano-sift and muine have broken mono deps on alpha
%ifarch alpha
Obsoletes:	autopano-sift
Obsoletes:	muine
%endif
# laptop-mode-tools* was dropped on architectures without apmd
%ifarch alpha %{x8664} sparc
Obsoletes:	laptop-mode-tools
Obsoletes:	laptop-mode-tools-acpi
Obsoletes:	laptop-mode-tools-apm
%endif
# GNOME 1.x stuff dropped in Ac
Obsoletes:	gda1-ldap
Obsoletes:	gda1-mysql
Obsoletes:	gda1-odbc
Obsoletes:	gda1-postgres
Obsoletes:	gnome-db
Obsoletes:	gnome-db-devel
Obsoletes:	gnome-db-static
Obsoletes:	libgda1-clientcpp
Obsoletes:	libgda1-clientcpp-devel
Obsoletes:	libgda1-devel
Obsoletes:	libgda1-static
Obsoletes:	libglade-gnomedb
Obsoletes:	libglade-gnomedb-devel
Obsoletes:	libglade-gnomedb-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
While this package does not contain any files, it does perform an
important function. It defines the components of a basic PLD
distribution, providing packages install in right order.

%description -l pl.UTF-8
Mimo że ten pakiet nie zawiera żadnych plików, ma on bardzo ważne
zadanie. Definiuje komponenty podstawowej dystrybucji PLD, zapewniając
tym samym właściwy porządek instalacji pakietów.

%description -l ru.UTF-8
Хотя этот пакет и не содержит никаких файлов, он выполняет важную
функцию - определяет компоненты базовой системы PLD Linux
Distribution, такие как порядок установки пакетов в процессе
первоначальной инсталляции. Этот пакет должен устанавливаться в
систему первым и никогда не удаляться.

%description -l uk.UTF-8
Хоч цей пакет і не містить ніяких файлів, він виконує важливу функцію
- визначає компоненти базової системи PLD Linux Distribution, такі як
послідовність встановлення пакетів в процесі початкової інсталяції.
Цей пакет повинен встановлюватись у систему першим і ніколи не
видалятись.

%prep

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: basesystem.spec,v $
Revision 1.31.2.27  2012/05/23 14:34:40  glen
- P: systemd-units = 38 for installing packages from HEAD

Revision 1.31.2.26  2012/05/23 14:33:50  glen
- adapter

Revision 1.31.2.25  2012/05/23 14:33:00  glen
- utf8

Revision 1.31.2.24  2007/04/05 22:10:19  hawk
- Obsolete: gstreamer-libdvdread
- release 4

Revision 1.31.2.23  2007/04/02 12:30:14  qboosh
- obsolete gstreamer-player subpackages (-devel,-nautilus) too

Revision 1.31.2.22  2007/04/01 21:36:32  hawk
- comments, release 3

Revision 1.31.2.21  2007/04/01 21:32:12  hawk
- laptop-mode-tools* dropped on alpha, amd64, sparc due to broken apmd dep

Revision 1.31.2.20  2007/04/01 20:52:08  hawk
- Obsolete autopano-sift and muine on alpha, dropped due to broken
  mono deps

Revision 1.31.2.19  2007/04/01 20:03:45  hawk
- Obsolete opera-i18n on architectures which doesn't have opera

Revision 1.31.2.18  2007/04/01 19:58:58  hawk
- Obsolete tyrex on architectures which doesn't have java

Revision 1.31.2.17  2007/04/01 19:12:13  hawk
- Obsolete winetools and xwine too

Revision 1.31.2.16  2007/03/27 20:51:17  hawk
- obsolete wine on i386, doesn't work, removed from ac-i386
- release 2

Revision 1.31.2.15  2007/03/17 14:21:26  hawk
- Obsoletes: perl-SWF-Builder, will be removed from Ac, requires
  perl-Font-FreeType which does not build

Revision 1.31.2.14  2007/03/12 22:36:33  glen
- Version 2.0

Revision 1.31.2.13  2007/03/12 22:25:17  hawk
- one more O:, gstreamer-plugins, thx ankry
- release 10

Revision 1.31.2.12  2007/03/12 13:34:52  hawk
- Obsoletes: gst-editor, gstreamer-player, goobox, jamboree, lindele,
  monkey-bubble - removed from Ac
- release 9

Revision 1.31.2.11  2007/03/11 14:09:12  hawk
- Obsoletes: python-gstreamer08x - removed from Ac
- release 8

Revision 1.31.2.10  2007/03/11 14:03:57  hawk
- fixed typo in changelog

Revision 1.31.2.9  2007/03/11 14:01:26  hawk
- Obsoletes: gstreamer08x*, python-pyflac, sonic-rainbow - those packages
  were removed from Ac

Revision 1.31.2.8  2007/03/11 13:55:03  hawk
- temporarily dopped openoffice obsoletes

Revision 1.31.2.7  2007/02/28 23:03:23  glen
- no obsoletes for pkgs that don't exist currently in AC

Revision 1.31.2.6  2007/02/28 23:00:51  glen
- unique pkgs

Revision 1.31.2.5  2007/02/28 22:56:22  glen
- obsoletes for openoffice 1.x packages which will not have openoffice.org pkgs

Revision 1.31.2.4  2006/02/27 22:00:08  glen
- Obsoletes vserver-basesystem, rel 6

Revision 1.31.2.3  2005/05/03 09:02:00  qboosh
- gfax is back on alpha; release 5

Revision 1.31.2.2  2005/05/01 12:15:43  qboosh
- Obsoletes: bdflush

Revision 1.31.2.1  2005/03/27 13:47:35  havner
- for AC

Revision 1.31  2004/10/12 20:40:57  mmazur
- rel 3 for th

Revision 1.30  2003/10/08 10:11:32  qboosh
- fixed system name in ru/uk descriptions, fixed swapped ru/uk headers
- moved clean to standard place

Revision 1.29  2003/08/30 12:25:58  mmazur
- rel 2 for ac

Revision 1.28  2003/08/06 16:32:48  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.27  2003/05/25 05:45:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/24 07:29:23  blues
- 1.99 - for Acze...

Revision 1.25  2003/04/23 22:06:21  kloczek
- release 9: added gmc to Obsoletes.

Revision 1.24  2002/11/11 13:06:20  kloczek
- release 8,
- merge translations from KSI,
- added to Obsoletes gwp and xwpick.

Revision 1.23  2002/04/25 15:51:15  arturs
- fixed a small typo

Revision 1.22  2002/04/02 18:36:15  kloczek
- removed using %{__install} macro.

Revision 1.21  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/30 18:38:11  alchemyx
- ugly words back again. sorry.

Revision 1.19  2002/01/29 02:49:51  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.18  2002/01/18 02:12:29  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/04/03 18:05:44  kloczek
- release 7, Epoch: 2.

Revision 1.16  2001/04/03 11:10:28  kloczek
- release 6.

Revision 1.15  2001/04/03 10:26:23  kloczek
- adapterized and few cosmetics.

Revision 1.14  2000/12/05 16:09:31  dobrek
- hopefully I did't fucked something.
- I only add mkdir $RPM_BUILD_ROOT to %build

Revision 1.13  2000/08/23 20:39:08  kloczek
- adapterized.

Revision 1.12  2000/07/05 16:58:30  zagrodzki
- BuildArch: noarch

Revision 1.11  2000/05/23 18:40:54  zagrodzki
- release ++

Revision 1.10  2000/05/22 18:18:22  zagrodzki
- temporarily removed Req: rpm (caused loop in prereq chain)

Revision 1.9  2000/05/17 22:03:26  kloczek
- release 3,
- added Epoch 1 to allow upgrade from RH,
- adapterized.

Revision 1.8  2000/05/17 09:35:24  zagrodzki
- removed Requires: kernel

Revision 1.7  2000/05/16 17:16:48  zagrodzki
- Requires: rpm
- Requires: kernel

Revision 1.6  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.5  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/29 22:05:34  zagrodzki
- typo
